Subject: bug#20071: none

From: Tomáš Čech <[email-masked]>
Date: Tue, 10 Mar 2015 12:59:30 +0100

On Fri, Dec 05, 2014 at 09:35:42AM +0100, Tomas Cech wrote:
>At Fri, 05 Dec 2014 00:04:23 +0100,
>Ludovic Courtès wrote:
>>
>> Tomas Cech <[email-masked]> skribis:
>>
>> > I tried to install Guix as alternative OS to my Gentoo and openSUSE
>> > installations to give a try. I tried unsupported scenario -
>> > installation on LVM volume and separate /boot partition until I was
>> > told it is unsupported. Separate boot wasn't hard as I had to just
>> > copy generated files so they are loaded.
>>
>> OK, but there’s still an open bug on that topic.  :-)
>> http://bugs.gnu.org/19220
>
>Good, I'll give a try again.
>
>> > 1] if you set device to partition (and not to disk) in your grub-configuration like this:
>> >
>> >  (bootloader (grub-configuration
>> >                (device "/dev/sda4")))
>>
>> Why would you want to use a partition and not a disk?  I didn’t know
>> this was even possible.
>
>Because this way I can separate Grub managed by Guix and Grub from my
>Gentoo. As I'm playing with that on my notebook I need for work, this
>way can reduce risks.
>
>I'm not sure how Guix installer can manipulate with grub.cfg and I'd
>like to always have some working system...
>
>>
>> > `guix system init' will fail on grub installation. By default Grub
>> > tries to fit in the beginning of partition and fails if it can't fit
>> > in. I asked about this behaviour on Grub mailing list and it seems
>> > that there are two options:
>> >
>> >   a] add `--force' to command line and use block list for keeping information about position of Grub's core.img
>> >   b] use filesystem which allows embedding - BtrFS or ZFS
>> >
>> > I verified both options (a] and then b] with BtrFS) and it no longer fails.
>> >
>> > But,
>> > ad a] - I don't feel safe passing `--force' to grub-install every
>> > time. So if installation fails on this point and you'd like to use
>> > your FS anyway, you can pass `--no-grub' to `guix system init' and
>> > then rung grub-install manually.
>> >
>> > ad b] - I don't feel safe using still experimental BtrFS.
>>
>> OK.  I think the conclusion for Guix is to leave the defaults unchanged.
>> Perhaps we could add a ‘force?’ field to the ‘grub-configuration’ data
>> type to allow those who know what they doing to get the effect of
>> ‘--force’.  WDYT?

After giving some more thoughts and after more experience with the process I
do agree that exposing `--force' parameter into grub-configuration is good idea.

I'm filing bug for that.